regina::detail::BoundaryComponentCalculator< dim, subdim > Struct Template Reference
Implementation details

Internal class used to identify lower-dimensional faces in a boundary component of a triangulation. More...

`#include <triangulation/detail/triangulation.h>`

## Static Public Member Functions

static void | identify (TriangulationBase< dim > &t, BoundaryComponent< dim > *bc, Face< dim, dim-1 > *facet)
| Identifies and marks all faces of dimension ≤ subdim within the given boundary facet of the given dim-dimensional triangulation. More...

## Detailed Description

### template<int dim, int subdim>
struct regina::detail::BoundaryComponentCalculator< dim, subdim >

Internal class used to identify lower-dimensional faces in a boundary component of a triangulation.

Specifically, this class identifies and marks all faces of dimensions 1,...,subdim within the given boundary facet of a dim-dimensional triangulation.

Template Parameters

  dim | the dimension of the underlying triangulation.
  subdim | the maximum dimension of the faces to identify. This must be between -1 and (dim - 3) inclusive. In the cases where subdim = 0 or -1, the identify() routine for this class does nothing.

The documentation for this struct was generated from the following file:

- triangulation/detail/triangulation.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).